+++
title = "Privacy Policy"
+++

This privacy policy is for the doserver.top website and blog.

## Information Collection and Retention

When you you visit my site, or subscribe to my rss feed, my Web Server logs some information to my server's storage:
*   Your device's Internet Protocol address (IP address)
*   The Pages you visit
*	The Time and Date of your visit
*   Your browser's User-Agent and Refer Header

No other information is collected.

Web Server logs are cleared from my server at irregular intervals.

## Information Usage

No information is sent to any 3rd parties.

Web server logs are processed by [GoatCounter](https://www.goatcounter.com/), which is also running on-site, on my server. GoatCounter stores depersonalised statistics about overall user visits indefinitely. The following statement is from GoatCounter's page:

> The following information can be stored:
>
> - URL of the visited page.
> - Refer header.
> - Browser and system information (derived from User-Agent header or HTTP client hints; the original headers are not stored).
> - Screen size.
> - Country and region name derived from the IP address.
> - The browser language derived from the Accept-Language header.
> 
> There is a setting to disable collecting any of this data and the collected data may differ per hosted site, but the default is to collect all of the above except the language.
>
> No personal information (such as IP address) is collected; a hash of the IP address, User-Agent, and a random number (“salt”) is kept in the process memory for 8 hours to identify a browsing session, and is never stored to disk.
>
> There is no information stored in the browser with cookies, localStorage, or other methods.


## Changes

This Privacy Policy may be updated from time to time... I will try and keep the information here up to date. I am not planning on turning my personal blog into a data farm, so things *should* remain pretty constant.

This privacy policy is effective as of **2024-08-26**

## Queries

If you have any questions please contact me via email at remedy-gala-deeply@duck.com.